<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>HW 3 Adv JS task 2</title>
</head>
<body>
   
    <script>
      "use strict"; 

      // Задание 2
      // Перед вами массив characters, состоящий из объектов. Каждый объект описывает одного персонажа.
      // Создайте на его основе массив charactersShortInfo, состоящий из объектов, в которых есть только 3 поля - name, lastName и age.

      const characters = [
        {
          name: "Елена",
          lastName: "Гилберт",
          age: 17, 
          gender: "woman",
          status: "human"
        },
        {
          name: "Кэролайн",
          lastName: "Форбс",
          age: 17,
          gender: "woman",
          status: "human"
        },
        {
          name: "Аларик",
          lastName: "Зальцман",
          age: 31,
          gender: "man",
          status: "human"
        },
        {
          name: "Дэймон",
          lastName: "Сальваторе",
          age: 156,
          gender: "man",
          status: "vampire"
        },
        {
          name: "Ребекка",
          lastName: "Майклсон",
          age: 1089,
          gender: "woman",
          status: "vempire"
        },
        {
          name: "Клаус",
          lastName: "Майклсон",
          age: 1093,
          gender: "man",
          status: "vampire"
        }
      ];
      
      
      let charactersShortInfo = characters.map(character => {
        const {name, lastName, age} = character;
        return {name, lastName, age};
      });

      console.log(charactersShortInfo);

    </script>
    
</body>
</html>